Get offramp account
curl --request GET \
--url https://business-api.onboard.xyz/ledger/offramp-accounts/{offrampAccountId} \
--header 'x-api-key: <api-key>'import requests
url = "https://business-api.onboard.xyz/ledger/offramp-accounts/{offrampAccountId}"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://business-api.onboard.xyz/ledger/offramp-accounts/{offrampAccountId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"beneficiary": {
"bankCode": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"accountNumber": "<string>",
"accountName": "<string>",
"currency": "<string>",
"bankName": "<string>",
"bankAddress": {
"streetAddress": "11 Main Street",
"city": "Gbagada",
"state": "Lagos",
"country": "NG",
"postalCode": "200124",
"apartmentNo": "5B"
},
"beneficiaryType": "<string>",
"isThirdParty": false
},
"payoutCurrency": "KES",
"createdDate": "2023-11-07T05:31:56Z"
}{
"code": "UNAUTHORIZED",
"message": "Either client security header is missing or it is not valid."
}{
"code": "NOT_FOUND",
"message": "Information could not be found"
}Offramp Accounts
Get Offramp Account
Get offramp account by offrampAccountId
GET
/
ledger
/
offramp-accounts
/
{offrampAccountId}
Get offramp account
Fetches a single offramp account by ID.
Authorizations
Requires authentication via API key and HMAC signature.
x-api-key: Your API key generated from your Onboard Business dashboard.x-timestamp: Unix epoch timestamp (seconds) used in signature, allowed skew is 30 secondsx-signature: SHA256 HMAC HEX signature calculated overt={x-timestamp}&{requestBody}using your API Secret.
Path Parameters
Response
Offramp account details
Unique identifier for the offramp account.
Fiat beneficiary object
- Option 1
- Option 2
- Option 3
- Option 4
- Option 5
Show child attributes
Show child attributes
Example:
"KES"
Status of the offramp account.
Available options:
ACTIVE, INACTIVE, SUSPENDED ⌘I